svg {
    -webkit-transform-origin: 50% 65%;
            transform-origin: 50% 65%;
  }
  
  svg polygon {
    stroke-dasharray: 17;
    -webkit-animation: dash 2.5s cubic-bezier(0.35, 0.04, 0.63, 0.95) infinite;
            animation: dash 2.5s cubic-bezier(0.35, 0.04, 0.63, 0.95) infinite;
  }
  
  @-webkit-keyframes dash {
    to {
      stroke-dashoffset: 136;
    }
  }
  
  @keyframes dash {
    to {
      stroke-dashoffset: 136;
    }
  }
  @-webkit-keyframes rotate {
    100% {
      -webkit-transform: rotate(360deg);
              transform: rotate(360deg);
    }
  }
  @keyframes rotate {
    100% {
      -webkit-transform: rotate(360deg);
              transform: rotate(360deg);
    }
  }
  

.loading-area {
    width: 100%;
    height: 100vh;
    position: fixed;
    left: 0;
    top: 0;
    z-index: 9999;
    overflow: hidden;
}

.loading-box {
    width: 100%;
    height: 100%;
    background-color: #FFF;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 1;
    z-index: 9999;
}

.loading-pic {
    width: 100%;
    position: absolute;
    top: 50%;
    z-index: 99999;
    text-align: center;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

svg:not(:root) {
    overflow: hidden;
}

